Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.service
Class IdentityEventManagerService

    java.lang.Object
      org.jboss.portal.identity.service.IdentityEventManagerService

All Implemented Interfaces:
  IdentityEventBroadcaster, IdentityEventEmitter

    public class IdentityEventManagerService

extends java.lang.Object
implements IdentityEventBroadcaster, IdentityEventEmitter

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`IdentityEventManagerService()`

Method Summary
`void` | `addListener(IdentityEventListener listener)` Add a listener.
`void` | `fireEvent(IdentityEvent event)` Fire an event.
`void` | `removeListener(IdentityEventListener listener)` Remove a listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityEventManagerService

    public IdentityEventManagerService()

Method Detail

### addListener

    public void addListener(IdentityEventListener listener)

  Description copied from interface: `IdentityEventEmitter`
  Add a listener.

  Specified by:
    `addListener` in interface `IdentityEventEmitter`
  Parameters:
    `listener` - the listener

### removeListener

    public void removeListener(IdentityEventListener listener)

  Description copied from interface: `IdentityEventEmitter`
  Remove a listener.

  Specified by:
    `removeListener` in interface `IdentityEventEmitter`
  Parameters:
    `listener` - the listener

### fireEvent

    public void fireEvent(IdentityEvent event)

  Description copied from interface: `IdentityEventBroadcaster`
  Fire an event.

  Specified by:
    `fireEvent` in interface `IdentityEventBroadcaster`
  Parameters:
    `event` - the event to fire

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD